EXCHANGE2MBOX(1)

NAME
exchange2mbox - Convert Exchange mailbox to mbox file

SYNOPSIS
exchange2mbox [-?|--help] [--usage] [-f|--database PATH] [-p|--profile PROFILE]
    [-P|--password PASSWORD] [-m|--mbox FILENAME] [-u|--update]
    [-d|--debuglevel LEVEL] [--dump-data]

DESCRIPTION
exchange2mbox provides a way to synchronize an Exchange mailbox with a mbox file. The tool is developed so it only retrieves mails not already stored in the message ID index database and reflects changes back to the Exchange server if the local message copy are deleted.

OPTIONS

--database

-f  Set the path to the profile database to use

--profile

-p  Set the profile to use. If no profile is specified, exchange2mbox try to retrieve the default profile in the database. If no default profile has been set, exchange2mbox returns MAPI_E_NOT_FOUND .

--password

-P  Set the password for the profile to use. This can be omitted if the password is stored in the profile.

--mbox

-m  Set the mbox file full path

--update

-u  Synchronize the local mbox file with the remote Exchange server mailbox.

--dump-data
    Dump the hex data. This is only required for debugging or educational purposes.

--debuglevel LEVEL

-d  Set the debug level.

EXAMPLES
Create/Update the mbox file and indexes within the profile database:
exchange2mbox
Update the Exchange mailbox and indexes according to the changes made to the mbox file.
exchange2mbox -u

REMARKS
If no mbox file is specified, one will be automatically created in $(HOME)/.openchange/mbox . If you are using the default profile database path and have set a default profile (using mapiprofile --profile=profile_name -S ) you do not need to specify these parameters on the command line.

AUTHOR
Julien Kerihuel <j.kerihuel at openchange dot org> Brad Hards <bradh at openchange dot org>